Package twisted :: Package coil :: Module coil :: Class Configurator

[show private | hide private]
[frames | no frames]

## Class Configurator

Known Subclasses:
  `FTPConfigurator`, `MailConfigurator`, `MaildirDBMConfigurator`, `ManholeConfigurator`, `ProxyConfigurator`, `SOCKSConfigurator`, `ShellFactoryConfigurator`, `TendrilConfigurator`, `ReverseProxyConfigurator`, `SiteConfigurator`, `StaticConfigurator`, `VirtualHostConfigurator`, `TestConfigurator`, `WordsConfigurator`

A configurator object implementing default behaviour.

Custom handling of configuration-item-setting can be had by adding configure_%s(self, value) methods to my subclass. The default is to set an attribute on the instance that will be configured.

A method getConfiguration should return a mapping of attribute to value, for attributes mentioned in configTypes. The default is to get the attribute from the instance that is being configured.

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring.
| ``configDispensers`(self)` Return list of dispensers.
| ``configure`(self, dict)` Set a list of configuration variables.
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration.
| ``getInstance`(self)` Return the instance being configured.
| ``getType`(self, name)` Get the type of a configuration variable.

Class Variable Summary
`None` | `configName`
`dictionary` | `configTypes`
`None` | `configurableClass`
`class` | `IConfigurator`

Method Details

### __init__(self, instance)
(Constructor)

Initialize this configurator with the instance it will be configuring.

### configDispensers(self)

Return list of dispensers.

### configure(self, dict)

Set a list of configuration variables.

### getConfiguration(self)

Return a mapping of key/value tuples describing my configuration.

By default gets the attributes from the instance being configured, override in subclasses if necessary.

### getInstance(self)

Return the instance being configured.

### getType(self, name)

Get the type of a configuration variable.

Class Variable Details

### configName

  Type:
    `None`
  Value:

        None

### configTypes

  Type:
    `dictionary`
  Value:

        {}

### configurableClass

  Type:
    `None`
  Value:

        None

### IConfigurator

`IConfigurator` = `twisted.coil.coil.IConfigurator`

Generated by Epydoc 1.1 on Sat Feb 15 21:17:47 2003 | http://epydoc.sf.net